Subject: Re: [patch net-next v2 06/10] bridge: introduce fdb offloading via switchdev

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 10 Nov 2014 14:13:54 -0500

On 11/10/14 08:47, Jiri Pirko wrote:
> Mon, Nov 10, 2014 at 01:47:33PM CET, [email-masked] wrote:

>
> Because now, If you would like to pass one of NDA_DST, NDA_LLADDR,
> NDA_CACHEINFO, NDA_PROBES, NDA_VLAN, NDA_PORT, NDA_VNI, NDA_IFINDEX,
> NDA_MASTER values via ndo_fdb_add/del to the driver, you have to
> construct "struct nlattr *tb[]". Preprocessing this tb into struct might
> be suitable for some use-case, for some it may not.
>

Ok, I see what you mean now. yes, netlink attributes are passed around.

>
> What I try to say is that the naming ndo_fdb_add/del is not accurate
> because it is now used for far more than fdb (addr, vlan). See vxlan
> code for example.
>

In vxlan semantics that is an "fdb".
In any case, I am indifferent to be honest - netlink attributes in
this case seem to be easier. i.e For the driver:
Ignore what you dont want and suck in what you need (whether vxlan
or vlan or nvgre etc).

cheers,
jamal